summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robert Allen2010-07-03 02:03:45 +0200
committer Erik Hanson2010-07-03 09:31:43 +0200
commit5cead57b1febfc5ed57696edb6dc19be3e2e0d12 (patch)
tree2790d03861ded0de5aa9a744ccd53522240866b8
parentaa913f5a8a0d4d79dbdc2601da8215058c74b457 (diff)
downloadslackbuilds-5cead57b1febfc5ed57696edb6dc19be3e2e0d12.tar.gz
development/bouml_doc: Added (docs for bouml)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--development/bouml_doc/README15
-rw-r--r--development/bouml_doc/bouml_doc.SlackBuild48
-rw-r--r--development/bouml_doc/bouml_doc.info10
-rw-r--r--development/bouml_doc/slack-desc19
4 files changed, 92 insertions, 0 deletions
diff --git a/development/bouml_doc/README b/development/bouml_doc/README
new file mode 100644
index 0000000000..ac032d72ba
--- /dev/null
+++ b/development/bouml_doc/README
@@ -0,0 +1,15 @@
+BOUML is a free UML 2 tool box allowing you to specify and generate
+code in C++, Java, Idl, Php and Python.
+
+Bouml documentation provides a complete user manual in HTML format,
+and context sensitive help using F1 key from inside the application.
+
+To configure for use after installation:
+
+You may use the documentation as a complete HTML manual by pointing your
+browser to "file:///usr/share/bouml/docs/index.html
+
+To configure context sensitive help within the application, from the
+drop menus select:
+ Miscellaneous >> Set environment (dialog opens)
+ Set "Manual path" = /usr/share/bouml/docs/
diff --git a/development/bouml_doc/bouml_doc.SlackBuild b/development/bouml_doc/bouml_doc.SlackBuild
new file mode 100644
index 0000000000..7bd87aece3
--- /dev/null
+++ b/development/bouml_doc/bouml_doc.SlackBuild
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# Slackware build script for Bouml documentation
+
+# Written by Robert Allen slacker-at-slaphappygeeks.com
+
+# All rights reserved, including Creator Endowed Unalienable Rights
+# This script is free. Use, modify and distribute to meet your needs.
+
+PRGNAM=bouml_doc
+VERSION=${VERSION:-4.21}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/doc$VERSION.tar.gz
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/bouml/docs
+cp -a doc/* $PKG/usr/share/bouml/docs
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/bouml_doc/bouml_doc.info b/development/bouml_doc/bouml_doc.info
new file mode 100644
index 0000000000..aa470fe345
--- /dev/null
+++ b/development/bouml_doc/bouml_doc.info
@@ -0,0 +1,10 @@
+PRGNAM="bouml_doc"
+VERSION="4.21"
+HOMEPAGE="http://bouml.free.fr/"
+DOWNLOAD="http://downloads.sourceforge.net/bouml/doc4.21.tar.gz"
+MD5SUM="2c52fe3916172806c95353811a2e72a0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Robert Allen"
+EMAIL="slacker@slaphappygeeks.com"
+APPROVED="rworkman"
diff --git a/development/bouml_doc/slack-desc b/development/bouml_doc/slack-desc
new file mode 100644
index 0000000000..f38af157da
--- /dev/null
+++ b/development/bouml_doc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bouml_docs: bouml_docs (documentation for BoUML)
+bouml_docs:
+bouml_docs: BOUML is a free UML 2 tool box allowing you to specify
+bouml_docs: and generate code in C++, Java, Idl, Php and Python.
+bouml_docs:
+bouml_docs: This package contains the documentation for BoUML.
+bouml_docs:
+bouml_docs: Homepage: http://bouml.free.fr/index.html
+bouml_docs:
+bouml_docs:
+bouml_docs: